aboutsummaryrefslogtreecommitdiff
path: root/examples
diff options
context:
space:
mode:
authordancer <dancer>2002-12-13 15:19:23 +0000
committerdancer <dancer>2002-12-13 15:19:23 +0000
commitb910f228f4f5b45ea4203342a5b6f5077bd4d019 (patch)
treef3630231cb11913b224ff7a529a7971c6d8d33ae /examples
parent691e978bfb9e1d8498b82acc319bb18f57c3d532 (diff)
downloadpbuilder-b910f228f4f5b45ea4203342a5b6f5077bd4d019.tar
pbuilder-b910f228f4f5b45ea4203342a5b6f5077bd4d019.tar.gz
0.53
Diffstat (limited to 'examples')
-rw-r--r--examples/B91dpkg-i26
-rw-r--r--examples/C10shell4
-rw-r--r--examples/D10tmp4
3 files changed, 32 insertions, 2 deletions
diff --git a/examples/B91dpkg-i b/examples/B91dpkg-i
new file mode 100644
index 0000000..1085559
--- /dev/null
+++ b/examples/B91dpkg-i
@@ -0,0 +1,26 @@
+#!/bin/bash
+# try to install the resulting debs.
+
+echo "Trying to install resulting packages and test upgrades"
+set -ex
+
+
+PKGNAMES=$(ls -1 /tmp/buildd *.deb | sed 's/_.*$//' )
+
+# install-remove check
+dpkg -i /tmp/buildd/*.deb
+dpkg --remove $PKGNAMES
+
+# install-purge check
+dpkg -i /tmp/buildd/*.deb
+dpkg --purge $PKGNAMES
+
+# upgrade-remove check
+apt-get install $PKGNAMES || true
+dpkg -i /tmp/buildd/*.deb
+dpkg --remove $PKGNAMES
+
+# upgrade-purge check
+apt-get install $PKGNAMES || true
+dpkg -i /tmp/buildd/*.deb
+dpkg --purge $PKGNAMES
diff --git a/examples/C10shell b/examples/C10shell
new file mode 100644
index 0000000..c1c4655
--- /dev/null
+++ b/examples/C10shell
@@ -0,0 +1,4 @@
+#!/bin/bash
+# invoke shell if build fails.
+
+/bin/bash </dev/tty > /dev/tty
diff --git a/examples/D10tmp b/examples/D10tmp
index b522a84..cd0594e 100644
--- a/examples/D10tmp
+++ b/examples/D10tmp
@@ -1,6 +1,6 @@
#!/bin/bash
#create $TMP and $TMPDIR
-[ -n "$TMP" -a ! -d "$TMP" ] && mkdir "$TMP"
-[ -n "$TMPDIR" -a ! -d "$TMPDIR" ] && mkdir "$TMPDIR"
+[ -n "$TMP" -a ! -d "$TMP" ] && mkdir "$TMP" || true
+[ -n "$TMPDIR" -a ! -d "$TMPDIR" ] && mkdir "$TMPDIR" || true